[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# DefaultUnicode2AnsiMove

Standard widestring manager callback

## Declaration

Source position: ustringh.inc line 53

`procedure DefaultUnicode2AnsiMove(`
`source: PUnicodeChar;`
`var dest: RawByteString;`
`cp: TSystemCodePage;`
`len: SizeInt`
`);`

## Description

DefaultUnicode2AnsiMove is the standard callback used for the widestring manager when a Unicode string must be converted to an ansistring. It replaces all words with value < 256 with their value as ASCII code.

## Errors

None.

## See also

WidestringManager |  | Current widestring manager.